com.rscja.team.qcom.deviceapi

## Class RFIDWithUHFAxBase_qcom

- java.lang.Object
- - com.rscja.deviceapi.UhfBase
  - - com.rscja.team.qcom.deviceapi.RFIDWithUHFUART_qcom
    - - com.rscja.team.qcom.deviceapi.RFIDWithUHFAxBase_qcom

- All Implemented Interfaces:
    IHandheldRFID, ISingleAntenna, IUHF, IUHFOfAndroidUart, IURAxOfAndroidUart
  Direct Known Subclasses:
    RFIDWithUHFA4, RFIDWithUHFA4_qcom, RFIDWithUHFA8, RFIDWithUHFA8_qcom

      public abstract class RFIDWithUHFAxBase_qcom
      extends RFIDWithUHFUART_qcom
      implements IURAxOfAndroidUart

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.rscja.deviceapi.UhfBase

      `UhfBase.ErrorCode`

  - ### Field Summary

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `Bank_EPC, Bank_RESERVED, Bank_TID, Bank_USER, LockBank_ACCESS, LockBank_EPC, LockBank_KILL, LockBank_TID, LockBank_USER, LockMode_LOCK, LockMode_OPEN, LockMode_PLOCK, LockMode_POPEN, UPDATE_UHF`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buzzer()` 成功的通知提示(发出提示音) Success Notification Sound (Play Sound)
    `void` | `buzzerOn(int playTime, int beepTime, int interval)`
    `boolean` | `free()` 关闭UHF模块 Switch off UHF module
    `java.util.List<AntennaState>` | `getANT()` 获取当前设置的天线
    `java.util.List<AntennaConnectState>` | `getAntennaConnectState()`
    `java.util.List<AntennaPowerEntity>` | `getAntennaPower()`
    `int` | `getAntennaPower(AntennaEnum ant)`
    `void` | `led()` 成功的通知提示(指示灯闪烁) Success Notification Sound (flashing light)
    `UHFTAGInfo` | `readTagFromBuffer()` * Deprecated.
    `boolean` | `setANT(java.util.List<AntennaState> antStatus)` 设置天线启用状态(Set the antenna enable state)
    `boolean` | `setAntennaPower(AntennaEnum ant, int power)`
    `boolean` | `startInventoryTag()` 开始循环识别标签。
    `void` | `successNotify()` 成功的通知提示(指示灯闪烁同时发出提示音) Success Notification Sound (Play notification tune when light flashing)

    - ### Methods inherited from class com.rscja.team.qcom.deviceapi.RFIDWithUHFUART_qcom

      `blockWriteData, eraseData, eraseData, factoryReset, generateLockCode, getConnectStatus, getCW, getEPCAndTIDUserMode, getEPCAndTIDUserModeEx, getErrCode, getFastInventoryMode, getFrequencyMode, getGen2, getHardwareVersion, getInstance, getLBTMode, getPower, getProtocol, getRFLink, getTagLocate, getTemperature, getVersion, init, inventorySingleTag, inventorySingleTag, isInventorying, isPowerOn, killTag, killTag, lockMem, lockMem, readData, readData, setConnectionStatusCallback, setCW, setDynamicDistance, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCAndTIDUserMode, setEPCAndTIDUserModeEx, setEPCAndUserReservedModeEx, setEPCMode, setFastID, setFastInventoryMode, setFilter, setFreHop, setFrequencyMode, setGen2, setGen2, setInventoryCallback, setLBTMode, setPower, setPowerOnBySystem, setProtocol, setRFLink, setTagFocus, setUart, startInventoryTag, startLocation, startRadarLocation, stopInventory, stopLocation, stopRadarLocation, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfStartUpdate, uhfStopUpdate, uhfUpdating, UHFVerifyVoltage, writeData, writeData, writeDataToEpc, writeDataToEpc`

    - ### Methods inherited from class com.rscja.deviceapi.UhfBase

      `readTcpServiceState, setOnLowBatteryListener`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHFOfAndroidUart

      `setOnLowBatteryListener`

- - ### Method Detail

    - #### free

          public boolean free()

      Description copied from class: `RFIDWithUHFUART_qcom`
      关闭UHF模块
      Switch off UHF module
      Specified by:
        `free` in interface `IUHF`
      Overrides:
        `free` in class `RFIDWithUHFUART_qcom`
      Returns:
        true:成功(success) false:失败(failure)

    - #### getANT

          public java.util.List<AntennaState> getANT()

      获取当前设置的天线

    - #### setANT

          public boolean setANT(java.util.List<AntennaState> antStatus)

      设置天线启用状态(Set the antenna enable state)
      Parameters:
        `antStatus` - 天线参数(Antenna parameter)
      Returns:
        true:成功(success) false:失败(failure)

    - #### readTagFromBuffer

          public UHFTAGInfo readTagFromBuffer()

      * Deprecated. Use `RFIDWithUHFUART_qcom.setInventoryCallback(IUHFInventoryCallback inventoryCallback)` instead .
      Specified by:
        `readTagFromBuffer` in interface `IUHF`
      Overrides:
        `readTagFromBuffer` in class `RFIDWithUHFUART_qcom`
      Returns:

    - #### successNotify

          public void successNotify()

      成功的通知提示(指示灯闪烁同时发出提示音)
      Success Notification Sound (Play notification tune when light flashing)
      Specified by:
        `successNotify` in interface `IURAxOfAndroidUart`

    - #### led

          public void led()

      成功的通知提示(指示灯闪烁)
      Success Notification Sound (flashing light)
      Specified by:
        `led` in interface `IURAxOfAndroidUart`

    - #### buzzer

          public void buzzer()

      成功的通知提示(发出提示音)
      Success Notification Sound (Play Sound)
      Specified by:
        `buzzer` in interface `IURAxOfAndroidUart`

    - #### buzzerOn

          public void buzzerOn(int playTime,
                               int beepTime,
                               int interval)

    - #### setAntennaPower

          public boolean setAntennaPower(AntennaEnum ant,
                                         int power)

    - #### getAntennaPower

          public int getAntennaPower(AntennaEnum ant)

    - #### getAntennaPower

          public java.util.List<AntennaPowerEntity> getAntennaPower()

    - #### startInventoryTag

          public boolean startInventoryTag()

      Description copied from interface: `IUHF`

      开始循环识别标签。

      Begin looping through the identification labels.

      通过 `IUHF.setInventoryCallback(IUHFInventoryCallback inventoryCallback)` 这个回调接口获取标签数据，需要在开始盘点之前调用setInventoryCallback方法。

      Get the label data through the callback interface `IUHF.setInventoryCallback(IUHFInventoryCallback inventoryCallback)`, you need to call the setInventoryCallback method before starting the inventory.

      备注：开启循环识别标签后模块只能响应`IUHF.stopInventory()`函数 。

      Note: The module can only respond to the `IUHF.stopInventory()` function after the loop identification tag is turned on.

      Specified by:
        `startInventoryTag` in interface `IUHF`
      Overrides:
        `startInventoryTag` in class `RFIDWithUHFUART_qcom`
      Returns:
        true:成功(success) false:失败(failure)

    - #### getAntennaConnectState

          public java.util.List<AntennaConnectState> getAntennaConnectState()